The Search API helps you search for the specific item you want to find. For example, you can find a user or a specific file in a repository. Think of it the way you think of performing a search on Google. It's designed to help you find the one result you're looking for (or maybe the few results you're looking for). Just like searching on Google, you sometimes want to see a few pages of search results so that you can find the item that best meets your needs. To satisfy that need, the GitHub Enterprise Server Search API provides up to 1,000 results for each search.
You can narrow your search using queries. To learn more about the search query syntax, see "Constructing a search query."
Ranking search results
Unless another sort option is provided as a query parameter, results are sorted by best match in descending order. Multiple factors are combined to boost the most relevant item to the top of the result list.
Rate limit
Note: The following rate limits are the default rate limits for GitHub Enterprise Server. Contact your site administrator to confirm the rate limits for your GitHub Enterprise Server instance.
The Search API has a custom rate limit. For requests using Basic Authentication, OAuth, or client ID and secret, you can make up to 30 requests per minute. For unauthenticated requests, the rate limit allows you to make up to 10 requests per minute.
See the rate limit documentation for details on determining your current rate limit status.
Constructing a search query
Each endpoint in the Search API uses query parameters to perform searches on GitHub Enterprise Server. See the individual endpoint in the Search API for an example that includes the endpoint and query parameters.
A query can contain any combination of search qualifiers supported on GitHub Enterprise Server. The format of the search query is:
SEARCH_KEYWORD_1 SEARCH_KEYWORD_N QUALIFIER_1 QUALIFIER_N
For example, if you wanted to search for all repositories owned by defunkt that
contained the word GitHub and Octocat in the README file, you would use the
following query with the search repositories endpoint:
GitHub Octocat in:readme user:defunkt
Note: Be sure to use your language's preferred HTML-encoder to construct your query strings. For example:
// JavaScript
const queryString = 'q=' + encodeURIComponent('GitHub Octocat in:readme user:defunkt');
See "Searching on GitHub" for a complete list of available qualifiers, their format, and an example of how to use them. For information about how to use operators to match specific quantities, dates, or to exclude results, see "Understanding the search syntax."
Limitations on query length
The Search API does not support queries that:
- are longer than 256 characters (not including operators or qualifiers).
- have more than five
AND,OR, orNOToperators.
These search queries will return a "Validation failed" error message.
Timeouts and incomplete results
To keep the Search API fast for everyone, we limit how long any individual query
can run. For queries that exceed the time limit,
the API returns the matches that were already found prior to the timeout, and
the response has the incomplete_results property set to true.
Reaching a timeout does not necessarily mean that search results are incomplete. More results might have been found, but also might not.
Access errors or missing search results
You need to successfully authenticate and have access to the repositories in your search queries, otherwise, you'll see a 422 Unprocessable Entry error with a "Validation Failed" message. For example, your search will fail if your query includes repo:, user:, or org: qualifiers that request resources that you don't have access to when you sign in on GitHub.
When your search query requests multiple resources, the response will only contain the resources that you have access to and will not provide an error message listing the resources that were not returned.
For example, if your search query searches for the octocat/test and codertocat/test repositories, but you only have access to octocat/test, your response will show search results for octocat/test and nothing for codertocat/test. This behavior mimics how search works on GitHub.
Search code
Searches for query terms inside of a file. This method returns up to 100 results per page.
When searching for code, you can get text match metadata for the file content and file path fields when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata.
For example, if you want to find the definition of the addClass function inside jQuery repository, your query would look something like this:
q=addClass+in:file+language:js+repo:jquery/jquery
This query searches for the keyword addClass within a file's contents. The query limits the search to files where the language is JavaScript in the jquery/jquery repository.
Considerations for code search
Due to the complexity of searching code, there are a few restrictions on how searches are performed:
- Only the default branch is considered. In most cases, this will be the
masterbranch. - Only files smaller than 384 KB are searchable.
- You must always include at least one search term when searching source code. For example, searching for
language:gois not valid, whileamazing language:gois.
get /search/code
Parameters
| Name | Type | In | Description |
|---|---|---|---|
accept |
string | header |
Setting to
|
q |
string | query |
The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see Constructing a search query. See "Searching code" for a detailed list of qualifiers. |
sort |
string | query |
Sorts the results of your query. Can only be |
order |
string | query |
Determines whether the first search result returned is the highest number of matches ( desc |
per_page |
integer | query |
Results per page (max 100) Default:30 |
page |
integer | query |
Page number of the results to fetch. Default:1 |
Code samples
Shell
curl \
-H "Accept: application/vnd.github.v3+json" \
http(s)://{hostname}/api/v3/search/codeJavaScript (@octokit/core.js)
await octokit.request('GET /search/code', {
q: 'q'
})
Response
Status: 200 OK
{
"total_count": 7,
"incomplete_results": false,
"items": [
{
"name": "classes.js",
"path": "src/attributes/classes.js",
"sha": "d7212f9dee2dcc18f084d7df8f417b80846ded5a",
"url": "https://api.github.com/repositories/167174/contents/src/attributes/classes.js?ref=825ac3773694e0cd23ee74895fd5aeb535b27da4",
"git_url": "https://api.github.com/repositories/167174/git/blobs/d7212f9dee2dcc18f084d7df8f417b80846ded5a",
"html_url": "https://github.com/jquery/jquery/blob/825ac3773694e0cd23ee74895fd5aeb535b27da4/src/attributes/classes.js",
"repository": {
"id": 167174,
"node_id": "MDEwOlJlcG9zaXRvcnkxNjcxNzQ=",
"name": "jquery",
"full_name": "jquery/jquery",
"owner": {
"login": "jquery",
"id": 70142,
"node_id": "MDQ6VXNlcjcwMTQy",
"avatar_url": "https://0.gravatar.com/avatar/6906f317a4733f4379b06c32229ef02f?d=https%3A%2F%2Fidenticons.github.com%2Ff426f04f2f9813718fb806b30e0093de.png",
"gravatar_id": "",
"url": "https://api.github.com/users/jquery",
"html_url": "https://github.com/jquery",
"followers_url": "https://api.github.com/users/jquery/followers",
"following_url": "https://api.github.com/users/jquery/following{/other_user}",
"gists_url": "https://api.github.com/users/jquery/gists{/gist_id}",
"starred_url": "https://api.github.com/users/jquery/starred{/owner}{/repo}",
"subscriptions_url": "https://api.github.com/users/jquery/subscriptions",
"organizations_url": "https://api.github.com/users/jquery/orgs",
"repos_url": "https://api.github.com/users/jquery/repos",
"events_url": "https://api.github.com/users/jquery/events{/privacy}",
"received_events_url": "https://api.github.com/users/jquery/received_events",
"type": "Organization",
"site_admin": false
},
"private": false,
"html_url": "https://github.com/jquery/jquery",
"description": "jQuery JavaScript Library",
"fork": false,
"url": "https://api.github.com/repos/jquery/jquery",
"forks_url": "https://api.github.com/repos/jquery/jquery/forks",
"keys_url": "https://api.github.com/repos/jquery/jquery/keys{/key_id}",
"collaborators_url": "https://api.github.com/repos/jquery/jquery/collaborators{/collaborator}",
"teams_url": "https://api.github.com/repos/jquery/jquery/teams",
"hooks_url": "https://api.github.com/repos/jquery/jquery/hooks",
"issue_events_url": "https://api.github.com/repos/jquery/jquery/issues/events{/number}",
"events_url": "https://api.github.com/repos/jquery/jquery/events",
"assignees_url": "https://api.github.com/repos/jquery/jquery/assignees{/user}",
"branches_url": "https://api.github.com/repos/jquery/jquery/branches{/branch}",
"tags_url": "https://api.github.com/repos/jquery/jquery/tags",
"blobs_url": "https://api.github.com/repos/jquery/jquery/git/blobs{/sha}",
"git_tags_url": "https://api.github.com/repos/jquery/jquery/git/tags{/sha}",
"git_refs_url": "https://api.github.com/repos/jquery/jquery/git/refs{/sha}",
"trees_url": "https://api.github.com/repos/jquery/jquery/git/trees{/sha}",
"statuses_url": "https://api.github.com/repos/jquery/jquery/statuses/{sha}",
"languages_url": "https://api.github.com/repos/jquery/jquery/languages",
"stargazers_url": "https://api.github.com/repos/jquery/jquery/stargazers",
"contributors_url": "https://api.github.com/repos/jquery/jquery/contributors",
"subscribers_url": "https://api.github.com/repos/jquery/jquery/subscribers",
"subscription_url": "https://api.github.com/repos/jquery/jquery/subscription",
"commits_url": "https://api.github.com/repos/jquery/jquery/commits{/sha}",
"git_commits_url": "https://api.github.com/repos/jquery/jquery/git/commits{/sha}",
"comments_url": "https://api.github.com/repos/jquery/jquery/comments{/number}",
"issue_comment_url": "https://api.github.com/repos/jquery/jquery/issues/comments/{number}",
"contents_url": "https://api.github.com/repos/jquery/jquery/contents/{+path}",
"compare_url": "https://api.github.com/repos/jquery/jquery/compare/{base}...{head}",
"merges_url": "https://api.github.com/repos/jquery/jquery/merges",
"archive_url": "https://api.github.com/repos/jquery/jquery/{archive_format}{/ref}",
"downloads_url": "https://api.github.com/repos/jquery/jquery/downloads",
"issues_url": "https://api.github.com/repos/jquery/jquery/issues{/number}",
"pulls_url": "https://api.github.com/repos/jquery/jquery/pulls{/number}",
"milestones_url": "https://api.github.com/repos/jquery/jquery/milestones{/number}",
"notifications_url": "https://api.github.com/repos/jquery/jquery/notifications{?since,all,participating}",
"labels_url": "https://api.github.com/repos/jquery/jquery/labels{/name}",
"deployments_url": "http://api.github.com/repos/octocat/Hello-World/deployments",
"releases_url": "http://api.github.com/repos/octocat/Hello-World/releases{/id}"
},
"score": 1
}
]
}
Not modified
Status: 304 Not Modified
Forbidden
Status: 403 Forbidden
Validation failed
Status: 422 Unprocessable Entity
Service unavailable
Status: 503 Service Unavailable
Notes
Search commits
Find commits via various criteria on the default branch (usually master). This method returns up to 100 results per page.
When searching for commits, you can get text match metadata for the message field when you provide the text-match media type. For more details about how to receive highlighted search results, see Text match
metadata.
For example, if you want to find commits related to CSS in the octocat/Spoon-Knife repository. Your query would look something like this:
q=repo:octocat/Spoon-Knife+css
get /search/commits
Parameters
| Name | Type | In | Description |
|---|---|---|---|
accept |
string | header |
Setting to
|
q |
string | query |
The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see Constructing a search query. See "Searching commits" for a detailed list of qualifiers. |
sort |
string | query |
Sorts the results of your query by |
order |
string | query |
Determines whether the first search result returned is the highest number of matches ( desc |
per_page |
integer | query |
Results per page (max 100) Default:30 |
page |
integer | query |
Page number of the results to fetch. Default:1 |
Code samples
Shell
curl \
-H "Accept: application/vnd.github.v3+json" \
http(s)://{hostname}/api/v3/search/commitsJavaScript (@octokit/core.js)
await octokit.request('GET /search/commits', {
q: 'q'
})
Response
Status: 200 OK
{
"total_count": 1,
"incomplete_results": false,
"items": [
{
"url": "https://api.github.com/repos/octocat/Spoon-Knife/commits/bb4cc8d3b2e14b3af5df699876dd4ff3acd00b7f",
"sha": "bb4cc8d3b2e14b3af5df699876dd4ff3acd00b7f",
"html_url": "https://github.com/octocat/Spoon-Knife/commit/bb4cc8d3b2e14b3af5df699876dd4ff3acd00b7f",
"comments_url": "https://api.github.com/repos/octocat/Spoon-Knife/commits/bb4cc8d3b2e14b3af5df699876dd4ff3acd00b7f/comments",
"commit": {
"url": "https://api.github.com/repos/octocat/Spoon-Knife/git/commits/bb4cc8d3b2e14b3af5df699876dd4ff3acd00b7f",
"author": {
"date": "2014-02-04T14:38:36-08:00",
"name": "The Octocat",
"email": "octocat@nowhere.com"
},
"committer": {
"date": "2014-02-12T15:18:55-08:00",
"name": "The Octocat",
"email": "octocat@nowhere.com"
},
"message": "Create styles.css and updated README",
"tree": {
"url": "https://api.github.com/repos/octocat/Spoon-Knife/git/trees/a639e96f9038797fba6e0469f94a4b0cc459fa68",
"sha": "a639e96f9038797fba6e0469f94a4b0cc459fa68"
},
"comment_count": 8
},
"author": {
"login": "octocat",
"id": 583231,
"node_id": "MDQ6VXNlcjU4MzIzMQ==",
"avatar_url": "https://avatars.githubusercontent.com/u/583231?v=3",
"gravatar_id": "",
"url": "https://api.github.com/users/octocat",
"html_url": "https://github.com/octocat",
"followers_url": "https://api.github.com/users/octocat/followers",
"following_url": "https://api.github.com/users/octocat/following{/other_user}",
"gists_url": "https://api.github.com/users/octocat/gists{/gist_id}",
"starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}",
"subscriptions_url": "https://api.github.com/users/octocat/subscriptions",
"organizations_url": "https://api.github.com/users/octocat/orgs",
"repos_url": "https://api.github.com/users/octocat/repos",
"events_url": "https://api.github.com/users/octocat/events{/privacy}",
"received_events_url": "https://api.github.com/users/octocat/received_events",
"type": "User",
"site_admin": false
},
"committer": {},
"parents": [
{
"url": "https://api.github.com/repos/octocat/Spoon-Knife/commits/a30c19e3f13765a3b48829788bc1cb8b4e95cee4",
"html_url": "https://github.com/octocat/Spoon-Knife/commit/a30c19e3f13765a3b48829788bc1cb8b4e95cee4",
"sha": "a30c19e3f13765a3b48829788bc1cb8b4e95cee4"
}
],
"repository": {
"id": 1300192,
"node_id": "MDEwOlJlcG9zaXRvcnkxMzAwMTky",
"name": "Spoon-Knife",
"full_name": "octocat/Spoon-Knife",
"owner": {
"login": "octocat",
"id": 583231,
"node_id": "MDQ6VXNlcjU4MzIzMQ==",
"avatar_url": "https://avatars.githubusercontent.com/u/583231?v=3",
"gravatar_id": "",
"url": "https://api.github.com/users/octocat",
"html_url": "https://github.com/octocat",
"followers_url": "https://api.github.com/users/octocat/followers",
"following_url": "https://api.github.com/users/octocat/following{/other_user}",
"gists_url": "https://api.github.com/users/octocat/gists{/gist_id}",
"starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}",
"subscriptions_url": "https://api.github.com/users/octocat/subscriptions",
"organizations_url": "https://api.github.com/users/octocat/orgs",
"repos_url": "https://api.github.com/users/octocat/repos",
"events_url": "https://api.github.com/users/octocat/events{/privacy}",
"received_events_url": "https://api.github.com/users/octocat/received_events",
"type": "User",
"site_admin": false
},
"private": false,
"html_url": "https://github.com/octocat/Spoon-Knife",
"description": "This repo is for demonstration purposes only.",
"fork": false,
"url": "https://api.github.com/repos/octocat/Spoon-Knife",
"forks_url": "https://api.github.com/repos/octocat/Spoon-Knife/forks",
"keys_url": "https://api.github.com/repos/octocat/Spoon-Knife/keys{/key_id}",
"collaborators_url": "https://api.github.com/repos/octocat/Spoon-Knife/collaborators{/collaborator}",
"teams_url": "https://api.github.com/repos/octocat/Spoon-Knife/teams",
"hooks_url": "https://api.github.com/repos/octocat/Spoon-Knife/hooks",
"issue_events_url": "https://api.github.com/repos/octocat/Spoon-Knife/issues/events{/number}",
"events_url": "https://api.github.com/repos/octocat/Spoon-Knife/events",
"assignees_url": "https://api.github.com/repos/octocat/Spoon-Knife/assignees{/user}",
"branches_url": "https://api.github.com/repos/octocat/Spoon-Knife/branches{/branch}",
"tags_url": "https://api.github.com/repos/octocat/Spoon-Knife/tags",
"blobs_url": "https://api.github.com/repos/octocat/Spoon-Knife/git/blobs{/sha}",
"git_tags_url": "https://api.github.com/repos/octocat/Spoon-Knife/git/tags{/sha}",
"git_refs_url": "https://api.github.com/repos/octocat/Spoon-Knife/git/refs{/sha}",
"trees_url": "https://api.github.com/repos/octocat/Spoon-Knife/git/trees{/sha}",
"statuses_url": "https://api.github.com/repos/octocat/Spoon-Knife/statuses/{sha}",
"languages_url": "https://api.github.com/repos/octocat/Spoon-Knife/languages",
"stargazers_url": "https://api.github.com/repos/octocat/Spoon-Knife/stargazers",
"contributors_url": "https://api.github.com/repos/octocat/Spoon-Knife/contributors",
"subscribers_url": "https://api.github.com/repos/octocat/Spoon-Knife/subscribers",
"subscription_url": "https://api.github.com/repos/octocat/Spoon-Knife/subscription",
"commits_url": "https://api.github.com/repos/octocat/Spoon-Knife/commits{/sha}",
"git_commits_url": "https://api.github.com/repos/octocat/Spoon-Knife/git/commits{/sha}",
"comments_url": "https://api.github.com/repos/octocat/Spoon-Knife/comments{/number}",
"issue_comment_url": "https://api.github.com/repos/octocat/Spoon-Knife/issues/comments{/number}",
"contents_url": "https://api.github.com/repos/octocat/Spoon-Knife/contents/{+path}",
"compare_url": "https://api.github.com/repos/octocat/Spoon-Knife/compare/{base}...{head}",
"merges_url": "https://api.github.com/repos/octocat/Spoon-Knife/merges",
"archive_url": "https://api.github.com/repos/octocat/Spoon-Knife/{archive_format}{/ref}",
"downloads_url": "https://api.github.com/repos/octocat/Spoon-Knife/downloads",
"issues_url": "https://api.github.com/repos/octocat/Spoon-Knife/issues{/number}",
"pulls_url": "https://api.github.com/repos/octocat/Spoon-Knife/pulls{/number}",
"milestones_url": "https://api.github.com/repos/octocat/Spoon-Knife/milestones{/number}",
"notifications_url": "https://api.github.com/repos/octocat/Spoon-Knife/notifications{?since,all,participating}",
"labels_url": "https://api.github.com/repos/octocat/Spoon-Knife/labels{/name}",
"releases_url": "https://api.github.com/repos/octocat/Spoon-Knife/releases{/id}",
"deployments_url": "https://api.github.com/repos/octocat/Spoon-Knife/deployments"
},
"score": 1,
"node_id": "MDQ6VXNlcjU4MzIzMQ=="
}
]
}
Not modified
Status: 304 Not Modified
Notes
Preview notice
The Commit Search API is currently available for developers to preview. During the preview period, the APIs may change without advance notice. Please see the blog post for full details.
To access the API you must provide a custom media type in the Accept header:
application/vnd.github.cloak-previewSearch issues and pull requests
Find issues by state and keyword. This method returns up to 100 results per page.
When searching for issues, you can get text match metadata for the issue title, issue body, and issue comment body fields when you pass the text-match media type. For more details about how to receive highlighted
search results, see Text match metadata.
For example, if you want to find the oldest unresolved Python bugs on Windows. Your query might look something like this.
q=windows+label:bug+language:python+state:open&sort=created&order=asc
This query searches for the keyword windows, within any open issue that is labeled as bug. The search runs across repositories whose primary language is Python. The results are sorted by creation date in ascending order, which means the oldest issues appear first in the search results.
Note: For user-to-server GitHub App requests, you can't retrieve a combination of issues and pull requests in a single query. Requests that don't include the is:issue or is:pull-request qualifier will receive an HTTP 422 Unprocessable Entity response. To get results for both issues and pull requests, you must send separate queries for issues and pull requests. For more information about the is qualifier, see "Searching only issues or pull requests."
get /search/issues
Parameters
| Name | Type | In | Description |
|---|---|---|---|
accept |
string | header |
Setting to
|
q |
string | query |
The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see Constructing a search query. See "Searching issues and pull requests" for a detailed list of qualifiers. |
sort |
string | query |
Sorts the results of your query by the number of |
order |
string | query |
Determines whether the first search result returned is the highest number of matches ( desc |
per_page |
integer | query |
Results per page (max 100) Default:30 |
page |
integer | query |
Page number of the results to fetch. Default:1 |
Code samples
Shell
curl \
-H "Accept: application/vnd.github.v3+json" \
http(s)://{hostname}/api/v3/search/issuesJavaScript (@octokit/core.js)
await octokit.request('GET /search/issues', {
q: 'q'
})
Response
Status: 200 OK
{
"total_count": 280,
"incomplete_results": false,
"items": [
{
"url": "https://api.github.com/repos/batterseapower/pinyin-toolkit/issues/132",
"repository_url": "https://api.github.com/repos/batterseapower/pinyin-toolkit",
"labels_url": "https://api.github.com/repos/batterseapower/pinyin-toolkit/issues/132/labels{/name}",
"comments_url": "https://api.github.com/repos/batterseapower/pinyin-toolkit/issues/132/comments",
"events_url": "https://api.github.com/repos/batterseapower/pinyin-toolkit/issues/132/events",
"html_url": "https://github.com/batterseapower/pinyin-toolkit/issues/132",
"id": 35802,
"node_id": "MDU6SXNzdWUzNTgwMg==",
"number": 132,
"title": "Line Number Indexes Beyond 20 Not Displayed",
"user": {
"login": "Nick3C",
"id": 90254,
"node_id": "MDQ6VXNlcjkwMjU0",
"avatar_url": "https://secure.gravatar.com/avatar/934442aadfe3b2f4630510de416c5718?d=https://a248.e.akamai.net/assets.github.com%2Fimages%2Fgravatars%2Fgravatar-user-420.png",
"gravatar_id": "",
"url": "https://api.github.com/users/Nick3C",
"html_url": "https://github.com/Nick3C",
"followers_url": "https://api.github.com/users/Nick3C/followers",
"following_url": "https://api.github.com/users/Nick3C/following{/other_user}",
"gists_url": "https://api.github.com/users/Nick3C/gists{/gist_id}",
"starred_url": "https://api.github.com/users/Nick3C/starred{/owner}{/repo}",
"subscriptions_url": "https://api.github.com/users/Nick3C/subscriptions",
"organizations_url": "https://api.github.com/users/Nick3C/orgs",
"repos_url": "https://api.github.com/users/Nick3C/repos",
"events_url": "https://api.github.com/users/Nick3C/events{/privacy}",
"received_events_url": "https://api.github.com/users/Nick3C/received_events",
"type": "User",
"site_admin": true
},
"labels": [
{
"id": 4,
"node_id": "MDU6TGFiZWw0",
"url": "https://api.github.com/repos/batterseapower/pinyin-toolkit/labels/bug",
"name": "bug",
"color": "ff0000"
}
],
"state": "open",
"assignee": null,
"milestone": {
"url": "https://api.github.com/repos/octocat/Hello-World/milestones/1",
"html_url": "https://github.com/octocat/Hello-World/milestones/v1.0",
"labels_url": "https://api.github.com/repos/octocat/Hello-World/milestones/1/labels",
"id": 1002604,
"node_id": "MDk6TWlsZXN0b25lMTAwMjYwNA==",
"number": 1,
"state": "open",
"title": "v1.0",
"description": "Tracking milestone for version 1.0",
"creator": {
"login": "octocat",
"id": 1,
"node_id": "MDQ6VXNlcjE=",
"avatar_url": "https://github.com/images/error/octocat_happy.gif",
"gravatar_id": "",
"url": "https://api.github.com/users/octocat",
"html_url": "https://github.com/octocat",
"followers_url": "https://api.github.com/users/octocat/followers",
"following_url": "https://api.github.com/users/octocat/following{/other_user}",
"gists_url": "https://api.github.com/users/octocat/gists{/gist_id}",
"starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}",
"subscriptions_url": "https://api.github.com/users/octocat/subscriptions",
"organizations_url": "https://api.github.com/users/octocat/orgs",
"repos_url": "https://api.github.com/users/octocat/repos",
"events_url": "https://api.github.com/users/octocat/events{/privacy}",
"received_events_url": "https://api.github.com/users/octocat/received_events",
"type": "User",
"site_admin": false
},
"open_issues": 4,
"closed_issues": 8,
"created_at": "2011-04-10T20:09:31Z",
"updated_at": "2014-03-03T18:58:10Z",
"closed_at":